Package org.apache.wiki.markdown.extensions.jspwikilinks.postprocessor

# Class JSPWikiNodePostProcessorFactory

java.lang.Object
com.vladsch.flexmark.parser.block.NodePostProcessorFactory
org.apache.wiki.markdown.extensions.jspwikilinks.postprocessor.JSPWikiNodePostProcessorFactory

All Implemented Interfaces:
  `com.vladsch.flexmark.parser.PostProcessorFactory`, `com.vladsch.flexmark.util.dependency.Dependent`, `Function<com.vladsch.flexmark.util.ast.Document,com.vladsch.flexmark.parser.PostProcessor>`

public class JSPWikiNodePostProcessorFactory extends com.vladsch.flexmark.parser.block.NodePostProcessorFactory
Simple `NodePostProcessorFactory` to instantiate `JSPWikiLinkNodePostProcessor`s.

## Constructor Summary

Constructors
Constructor
Description
`JSPWikiNodePostProcessorFactory(org.apache.wiki.api.core.Context m_context, com.vladsch.flexmark.util.data.DataHolder options, boolean isImageInlining, List<org.apache.oro.text.regex.Pattern> inlineImagePatterns)`

## Method Summary

Modifier and Type
Method
Description
`com.vladsch.flexmark.parser.block.NodePostProcessor`
`apply(com.vladsch.flexmark.util.ast.Document document)`

### Methods inherited from class com.vladsch.flexmark.parser.block.NodePostProcessorFactory

`addNodes, addNodeWithExclusions, affectsGlobalScope, getAfterDependents, getBeforeDependents, getNodeTypes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### JSPWikiNodePostProcessorFactory

public JSPWikiNodePostProcessorFactory(org.apache.wiki.api.core.Context m_context, com.vladsch.flexmark.util.data.DataHolder options, boolean isImageInlining, List<org.apache.oro.text.regex.Pattern> inlineImagePatterns)

## Method Details

### apply

public com.vladsch.flexmark.parser.block.NodePostProcessor apply(com.vladsch.flexmark.util.ast.Document document)

Specified by:
  `apply` in interface `Function<com.vladsch.flexmark.util.ast.Document,com.vladsch.flexmark.parser.PostProcessor>`
Specified by:
  `apply` in interface `com.vladsch.flexmark.parser.PostProcessorFactory`
Specified by:
  `apply` in class `com.vladsch.flexmark.parser.block.NodePostProcessorFactory`